Bug 997658 - [kernel] dnf upgrade kernel-modules-extra issue
[kernel] dnf upgrade kernel-modules-extra issue
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998464
  Show dependency treegraph
 
Reported: 2013-08-15 18:30 EDT by poma
Modified: 2014-04-15 18:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 998464 (view as bug list)
Environment:
Last Closed: 2013-10-03 12:22:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf kernel install log - OK (10.86 KB, text/plain)
2014-02-21 03:17 EST, poma
no flags Details

  None (edit)
Description poma 2013-08-15 18:30:18 EDT
# dnf upgrade kernel\*
Setting up Upgrade Process
Resolving Dependencies
--> Starting dependency resolution
---> Package kernel-PAE.i686 3.11.0-0.rc5.git2.1.fc20 will be installed
---> Package kernel-PAE-devel.i686 3.11.0-0.rc5.git2.1.fc20 will be installed
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc4.git2.1.fc20 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc4.git1.1.fc20 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc4.git0.1.fc20 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc5.git2.1.fc20 will be an upgrade
---> Package kernel-headers.i686 3.11.0-0.rc4.git2.1.fc20 will be upgraded
---> Package kernel-headers.i686 3.11.0-0.rc5.git2.1.fc20 will be an upgrade
--> Finished dependency resolution

Dependencies Resolved

===================================================================================================================================
 Package                                 Arch                Version                                  Repository              Size
===================================================================================================================================
Installing:
 kernel-PAE                              i686                3.11.0-0.rc5.git2.1.fc20                 rawhide                 30 M
 kernel-PAE-devel                        i686                3.11.0-0.rc5.git2.1.fc20                 rawhide                8.4 M
Upgrading:
 kernel-PAE-modules-extra                i686                3.11.0-0.rc5.git2.1.fc20                 rawhide                2.0 M
 kernel-headers                          i686                3.11.0-0.rc5.git2.1.fc20                 rawhide                885 k

Transaction Summary
===================================================================================================================================
Install  2 Packages
Upgrade  2 Packages

Total download size: 41 M
Is this ok [y/N]: y
Downloading Packages:
Error Downloading Packages:
  kernel-PAE-3.11.0-0.rc5.git2.1.fc20.i686: Problem with repo 'rawhide': An Curl handle error: Unsupported protocol
  kernel-PAE-devel-3.11.0-0.rc5.git2.1.fc20.i686: Problem with repo 'rawhide': An Curl handle error: Unsupported protocol
  kernel-PAE-modules-extra-3.11.0-0.rc5.git2.1.fc20.i686: Problem with repo 'rawhide': An Curl handle error: Unsupported protocol
  kernel-headers-3.11.0-0.rc5.git2.1.fc20.i686: Problem with repo 'rawhide': An Curl handle error: Unsupported protocol

A DNF(Data Not Found?) places the kernel-modules-extra for an upgrade, although it should stick it to install, as yum does it.
Comment 1 Ales Kozumplik 2013-08-16 04:48:05 EDT
Hi, thank you for reporting this. As discussed on fedora-devel list, this is related to the group of bugs around bug 880524 and will be dealt with together with them.
Comment 2 Ales Kozumplik 2013-08-16 08:49:46 EDT
(commit 36492d2 aims to fix the download error ("Unsupported protocol"). If it does not we'll need librepo maintainer's input how to debug this)
Comment 3 marianne@tuxette.fr 2013-08-19 03:30:55 EDT
Same error in fedora 19 with non-kernel-related package 


Is this ok [y/N]: y
Downloading Packages:
using local copy of kmod-VirtualBox-3.10.7-200.fc19.x86_64-4.2.16-1.fc19.7.x86_64
using local copy of kmod-VirtualBox-4.2.16-1.fc19.7.x86_64
Error Downloading Packages:
  openbox-libs-3.5.2-2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-client-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-proxy-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-krb5-common-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  libipa_hbac-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  microcode_ctl-2:2.0-4.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  meanwhile-1.1.0-12.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-common-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-ldap-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  openbox-3.5.2-2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-ipa-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  python-sssdconfig-1.11.0-0.1.beta2.fc19.noarch: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-ad-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  libfprint-0.5.1-1.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  libsss_idmap-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-krb5-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  qrencode-libs-3.4.2-1.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  rdesktop-1.8.0-1.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
  sssd-1.11.0-0.1.beta2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol
Comment 4 Ales Kozumplik 2013-08-19 03:37:05 EDT
poma and marianne, what version of dnf are you running?
Comment 5 marianne@tuxette.fr 2013-08-19 04:08:16 EDT
Last version available as package : 
Installed Packages
Name        : dnf
Arch        : noarch
Epoch       : 0
Version     : 0.3.11
Release     : 1.git7d717c7.fc19
Size        : 1.9 M
Repo        : @System
From repo   : updates
Summary     : Package manager forked from Yum, using libsolv as a dependency resolver
URL         : https://github.com/akozumpl/dnf
License     : GPLv2+ and GPLv2 and GPL
Description : Package manager forked from Yum, using libsolv as a dependency resolver.
Comment 6 Ales Kozumplik 2013-08-19 07:27:50 EDT
thank you for the feedback marianne. I think this demands a separate ticket with an explanation as this one is already for the kernel issue reported by poma.
Comment 7 poma 2013-09-05 07:05:00 EDT
(In reply to Ales Kozumplik from comment #4)
> poma and marianne, what version of dnf are you running?

# dnf --version
0.4.0
  Installed: dnf-0:0.4.0-1.gitbfccb5c.fc21.noarch at 2013-09-01 00:18
  Built    : Fedora Project at 2013-08-30 11:14

  Installed: rpm-0:4.11.1-6.fc21.x86_64 at 2013-08-26 16:20
  Built    : Fedora Project at 2013-08-21 10:50

# dnf -v upgrade kernel\*
Config time: 0.005
dnf version: 0.4.0
repo: using cache for: rawhide
hawkey sack setup time: 0.711
Setting up Upgrade Process
Resolving dependencies
--> Starting dependency resolution
---> Package kernel.x86_64 3.11.0-3.fc21 will be installed
---> Package kernel-debug.x86_64 3.11.0-3.fc21 will be installed
---> Package kernel-devel.x86_64 3.11.0-3.fc21 will be installed
---> Package kernel-headers.x86_64 3.11.0-0.rc7.git5.1.fc21 will be upgraded
---> Package kernel-headers.x86_64 3.11.0-3.fc21 will be an upgrade
---> Package kernel-modules-extra.x86_64 3.11.0-0.rc7.git5.1.fc21 will be upgraded
---> Package kernel-modules-extra.x86_64 3.11.0-0.rc7.git3.1.fc21 will be upgraded
---> Package kernel-modules-extra.x86_64 3.11.0-0.rc7.git2.1.fc21 will be upgraded
---> Package kernel-modules-extra.x86_64 3.11.0-0.rc6.git4.1.fc21 will be upgraded
---> Package kernel-modules-extra.x86_64 3.11.0-3.fc21 will be an upgrade
--> Finished dependency resolution
Depsolve time: 0.020


Dependencies resolved.

=====================================================================================
 Package                     Arch          Version              Repository      Size
=====================================================================================
Installing:
 kernel                      x86_64        3.11.0-3.fc21        rawhide         30 M
 kernel-debug                x86_64        3.11.0-3.fc21        rawhide         31 M
 kernel-devel                x86_64        3.11.0-3.fc21        rawhide        8.4 M
Upgrading:
 kernel-headers              x86_64        3.11.0-3.fc21        rawhide        889 k
 kernel-modules-extra        x86_64        3.11.0-3.fc21        rawhide        2.0 M

Transaction Summary
=====================================================================================
Install  3 Packages
Upgrade  2 Packages

Total download size: 72 M
Is this ok [y/N]: N
Exiting on user Command
Comment 8 Fedora End Of Life 2013-09-16 12:34:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 poma 2013-09-17 15:04:42 EDT
# dnf --version
0.4.1
  Installed: dnf-0:0.4.1-1.git55e6369.fc21.noarch at 2013-09-17 18:46
  Built    : Fedora Project at 2013-09-16 13:03

  Installed: rpm-0:4.11.1-7.fc21.i686 at 2013-09-13 23:37
  Built    : Fedora Project at 2013-09-09 12:09

# dnf -v upgrade kernel\*
Config time: 0.012
dnf version: 0.4.1
repo: using cache for: rawhide
hawkey sack setup time: 0.295
Setting up Upgrade Process
Resolving dependencies
--> Starting dependency resolution
---> Package kernel-PAE.i686 3.12.0-0.rc0.git26.1.fc21 will be installed
---> Package kernel-PAE-devel.i686 3.12.0-0.rc0.git26.1.fc21 will be installed
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc0.git22.1.fc21 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc6.git4.1.fc21 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.11.0-0.rc4.git2.1.fc20 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc0.git26.1.fc21 will be an upgrade
---> Package kernel-headers.i686 3.12.0-0.rc0.git22.1.fc21 will be upgraded
---> Package kernel-headers.i686 3.12.0-0.rc0.git26.1.fc21 will be an upgrade
--> Finished dependency resolution
Depsolve time: 0.044


Dependencies resolved.

================================================================================
 Package                    Arch   Version                      Repository
                                                                           Size
================================================================================
Installing:
 kernel-PAE                 i686   3.12.0-0.rc0.git26.1.fc21    rawhide    30 M
 kernel-PAE-devel           i686   3.12.0-0.rc0.git26.1.fc21    rawhide   8.5 M
Upgrading:
 kernel-PAE-modules-extra   i686   3.12.0-0.rc0.git26.1.fc21    rawhide   2.0 M
 kernel-headers             i686   3.12.0-0.rc0.git26.1.fc21    rawhide   905 k

Transaction Summary
================================================================================
Install  2 Packages
Upgrade  2 Packages

Total download size: 42 M
Is this ok [y/N]: N
Exiting on user Command
Comment 10 poma 2013-10-02 00:50:05 EDT
# dnf --version
0.4.2
  Installed: dnf-0:0.4.2-1.gitc1716d7.fc21.noarch at 2013-10-02 04:00
  Built    : Fedora Project at 2013-10-01 13:19

  Installed: rpm-0:4.11.1-7.fc21.i686 at 2013-09-13 23:37
  Built    : Fedora Project at 2013-09-09 12:09

# dnf -v upgrade kernel\*
Config time: 0.013
dnf version: 0.4.2
repo: using cache for: rawhide
hawkey sack setup time: 0.309
Setting up Upgrade Process
Resolving dependencies
--> Starting dependency resolution
---> Package kernel-PAE.i686 3.12.0-0.rc3.git0.1.fc21 will be installed
---> Package kernel-PAE-devel.i686 3.12.0-0.rc3.git0.1.fc21 will be installed
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc2.git3.1.fc21 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc2.git1.1.fc21 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc1.git4.1.fc21 will be upgraded
---> Package kernel-PAE-modules-extra.i686 3.12.0-0.rc3.git0.1.fc21 will be an upgrade
---> Package kernel-headers.i686 3.12.0-0.rc2.git3.1.fc21 will be upgraded
---> Package kernel-headers.i686 3.12.0-0.rc3.git0.1.fc21 will be an upgrade
--> Finished dependency resolution
Depsolve time: 0.048


Dependencies resolved.

================================================================================
 Package                    Arch   Version                      Repository
                                                                           Size
================================================================================
Installing:
 kernel-PAE                 i686   3.12.0-0.rc3.git0.1.fc21     rawhide    29 M
 kernel-PAE-devel           i686   3.12.0-0.rc3.git0.1.fc21     rawhide   8.5 M
Upgrading:
 kernel-PAE-modules-extra   i686   3.12.0-0.rc3.git0.1.fc21     rawhide   1.9 M
 kernel-headers             i686   3.12.0-0.rc3.git0.1.fc21     rawhide   907 k

Transaction Summary
================================================================================
Install  2 Packages
Upgrade  2 Packages

Total download size: 40 M
Is this ok [y/N]: N
Exiting on user Command
Comment 11 poma 2013-10-03 12:22:18 EDT
No news on this one. 
Anyway, 
dnf erase kernel\*modules-extra\*
Good luck in the further development. ;)
Comment 12 poma 2014-02-21 03:17:22 EST
Created attachment 865833 [details]
dnf kernel install log - OK
Comment 13 poma 2014-02-21 03:19:02 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.